jolab
Posts: 26
Joined: Tue Apr 12, 2005 12:12 am
Location: France
Contact: Website

GPSTools 2.31 and .NET 4.0

Sun Aug 26, 2012 9:51 pm

Is it possible to use the GPSTools with DOTNET 4.0 ?

User avatar
johan
GpsGate
Posts: 14323
Joined: Wed Aug 04, 2004 10:40 pm
Location: Sweden
Contact: Website

RE: GPSTools 2.31 and .NET 4.0

Sun Aug 26, 2012 10:06 pm

GpsTools is discontinued.

Regards,
Johan

GpsGate Support

jolab
Posts: 26
Joined: Tue Apr 12, 2005 12:12 am
Location: France
Contact: Website

RE: GPSTools 2.31 and .NET 4.0

Sun Aug 26, 2012 10:18 pm

Does your answer imply that it will not run under .NET 4.0 ? I'm well aware that the product as such has been discontinued.

User avatar
johan
GpsGate
Posts: 14323
Joined: Wed Aug 04, 2004 10:40 pm
Location: Sweden
Contact: Website

RE: GPSTools 2.31 and .NET 4.0

Sun Aug 26, 2012 10:20 pm

Right, GpsTools will not run under .NET 4.0. And you should not use it for any new project since it is discontinued.

Regards,
Johan

GpsGate Support

jolab
Posts: 26
Joined: Tue Apr 12, 2005 12:12 am
Location: France
Contact: Website

RE: GPSTools 2.31 and .NET 4.0

Sun Mar 01, 2015 11:53 pm

Just to be complete, you can develop in DOTNET 4.0 and use GpsTools by adding following line to your app.exe.config file:
<startup useLegacyV2RuntimeActivationPolicy="true"><supportedRuntime version="v4.0" sku=".NETFramework,Version=v4.0"/></startup>

Return to “GpsTools”